---
type: api
title: Update stack version
description: Updates the Elastic Stack version configuration.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-update-version-stack
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-update-version-stack
products:
  - Elastic Cloud Enterprise
---

# Update stack version

## Paths

- `PUT` `/stack/versions/{version}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `version` (string)
  The Elastic Stack version. For example, `5.3.1` or `5.0.0-RC4`.

## Description

Updates the Elastic Stack version configuration.

## Request Body

`application/json`

Elastic Stack configuration object

- `elasticsearch` ({} StackVersionElasticsearchConfig) — required
  The Elasticsearch configuration for an Elastic Stack version.
  - `docker_image` (string) — required
    Docker image for the Elasticsearch
  - `plugins` ([] string) — required
    List of available plugins
  - `default_plugins` ([] string) — required
    List of default plugins
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `node_types` ([] StackVersionNodeType) — optional
    Node types that are supported by this stack version
    - `node_type` (string) — required
      Type of the node (master, data, ...)
    - `name` (string) — required
      Name of the node type
    - `description` (string) — required
      Description of the node type
    - `settings` (object) — optional
      Settings that are applied to all nodes of this type
    - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
      The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
      - `min` (integer) — required
        Min capacity of the instances
      - `max` (integer) — required
        Max capacity of the instances
    - `compatible_node_types` ([] string) — optional
      Node types that are compatible with this one
    - `mandatory` (boolean) — optional
      Flag to specify a node type is mandatory in a cluster's plan
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
- `kibana` ({} StackVersionKibanaConfig) — required
  The Kibana configuration for an Elastic Stack version.
  - `version` (string) — optional
    Version of Kibana
  - `docker_image` (string) — required
    Docker image for the kibana
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
- `apm` ({} StackVersionApmConfig) — optional
  The APM Server configuration for an Elastic Stack version.
  - `version` (string) — optional
    Version of APM
  - `docker_image` (string) — required
    Docker image for the APM
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
- `integrations_server` ({} StackVersionIntegrationsServerConfig) — optional
  The Integrations Server configuration for an Elastic Stack version.
  - `version` (string) — optional
    Version of Integrations Server
  - `docker_image` (string) — required
    Docker image for the Integrations Server
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
- `appsearch` ({} StackVersionAppSearchConfig) — optional
  AppSearch related configuration of an Elastic Stack version
  - `version` (string) — optional
    Version of AppSearch
  - `docker_image` (string) — required
    Docker image for the AppSearch
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
  - `node_types` ([] StackVersionNodeType) — optional
    Node types that are supported by this stack version
    - `node_type` (string) — required
      Type of the node (master, data, ...)
    - `name` (string) — required
      Name of the node type
    - `description` (string) — required
      Description of the node type
    - `settings` (object) — optional
      Settings that are applied to all nodes of this type
    - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
      The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
      - `min` (integer) — required
        Min capacity of the instances
      - `max` (integer) — required
        Max capacity of the instances
    - `compatible_node_types` ([] string) — optional
      Node types that are compatible with this one
    - `mandatory` (boolean) — optional
      Flag to specify a node type is mandatory in a cluster's plan
- `enterprise_search` ({} StackVersionEnterpriseSearchConfig) — optional
  EnterpriseSearch related configuration of an Elastic Stack version
  - `version` (string) — optional
    Version of EnterpriseSearch
  - `docker_image` (string) — required
    Docker image for the EnterpriseSearch
  - `blacklist` ([] string) — required
    List of configuration options that cannot be overridden by user settings
  - `settings` (object) — optional
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer) — required
      Min capacity of the instances
    - `max` (integer) — required
      Max capacity of the instances
  - `compatible_node_types` ([] string) — optional
    Node types that are compatible with this one
  - `node_types` ([] StackVersionNodeType) — optional
    Node types that are supported by this stack version
    - `node_type` (string) — required
      Type of the node (master, data, ...)
    - `name` (string) — required
      Name of the node type
    - `description` (string) — required
      Description of the node type
    - `settings` (object) — optional
      Settings that are applied to all nodes of this type
    - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint) — optional
      The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
      - `min` (integer) — required
        Min capacity of the instances
      - `max` (integer) — required
        Max capacity of the instances
    - `compatible_node_types` ([] string) — optional
      Node types that are compatible with this one
    - `mandatory` (boolean) — optional
      Flag to specify a node type is mandatory in a cluster's plan
- `metadata` ({} StackVersionMetadata) — optional
  The metadata for the Elastic Stack.
  - `notes` (string) — optional
    Notes for administrator
  - `pre_release` (boolean) — optional
    Indicates that the stack pack version is not GA and is not supposed to be used in production
  - `min_platform_version` (string) — optional
    The minimum version of the platform that the stack pack version is compatible with
  - `min_wire_compatibility_version` (string) — optional
    The minimum version required for performing a rolling upgrade to this stack version.
  - `min_index_compatibility_version` (string) — optional
    The minimum version required for performing a full cluster restart upgrade to this stack version.
  - `schema_version` (integer) — optional
    The schema version of the stack pack version
  - `is_fips` (boolean) — optional
    Is this a fips stackpack
- `rolling_upgrade_compatible_versions` ([] string) — optional
  List of versions that can be upgraded to the current version of the stackpack

## Responses

#### `200`

The Elastic Stack version successfully updated.

`application/json`

- `version` (string)
  Stack version
- `template` ({} StackVersionTemplateInfo)
  The template information for an Elastic Stack version.
  - `template_version` (string)
    Template version
  - `hashes` ([] StackVersionTemplateFileHash)
    Relative paths of files with SHA-256 hashes that contains the template
    - `path` (string)
      File path relative to template's root
    - `hash` (string)
      SHA-256 hash of a file
- `elasticsearch` ({} StackVersionElasticsearchConfig)
  The Elasticsearch configuration for an Elastic Stack version.
  Same fields as `elasticsearch`
- `kibana` ({} StackVersionKibanaConfig)
  The Kibana configuration for an Elastic Stack version.
  - `version` (string)
    Version of Kibana
  - `docker_image` (string)
    Docker image for the kibana
  - `blacklist` ([] string)
    List of configuration options that cannot be overridden by user settings
  - `settings` (object)
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint)
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer)
      Min capacity of the instances
    - `max` (integer)
      Max capacity of the instances
  - `compatible_node_types` ([] string)
    Node types that are compatible with this one
- `apm` ({} StackVersionApmConfig)
  The APM Server configuration for an Elastic Stack version.
  - `version` (string)
    Version of APM
  - `docker_image` (string)
    Docker image for the APM
  - `blacklist` ([] string)
    List of configuration options that cannot be overridden by user settings
  - `settings` (object)
    Settings that are applied to all nodes of this type
  - `capacity_constraints` ({} StackVersionInstanceCapacityConstraint)
    The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
    - `min` (integer)
      Min capacity of the instances
    - `max` (integer)
      Max capacity of the instances
  - `compatible_node_types` ([] string)
    Node types that are compatible with this one
- `appsearch` ({} StackVersionAppSearchConfig)
  AppSearch related configuration of an Elastic Stack version
  Same fields as `appsearch`
- `enterprise_search` ({} StackVersionEnterpriseSearchConfig)
  EnterpriseSearch related configuration of an Elastic Stack version
  Same fields as `enterprise_search`
- `metadata` ({} StackVersionMetadata)
  The metadata for the Elastic Stack.
  - `notes` (string)
    Notes for administrator
  - `pre_release` (boolean)
    Indicates that the stack pack version is not GA and is not supposed to be used in production
  - `min_platform_version` (string)
    The minimum version of the platform that the stack pack version is compatible with
  - `min_wire_compatibility_version` (string)
    The minimum version required for performing a rolling upgrade to this stack version.
  - `min_index_compatibility_version` (string)
    The minimum version required for performing a full cluster restart upgrade to this stack version.
  - `schema_version` (integer)
    The schema version of the stack pack version
  - `is_fips` (boolean)
    Is this a fips stackpack
- `deleted` (boolean)
  Identifies that the Elastic Stack version is marked for deletion
- `upgradable_to` ([] string)
  Stack Versions that this version can upgrade to
- `min_upgradable_from` (string)
  The minimum version recommended to upgrade this version.
- `whitelisted` (boolean)
  Whether or not this version is whitelisted. This is only relevant in EC (SaaS) and is not sent in ECE.
- `accessible` (boolean)
  Whether or not this version is accessible by the calling user. This is only relevant in EC (SaaS) and is not sent in ECE.
- `rolling_upgrade_compatible_versions` ([] string)
  List of versions that can be upgraded to the current version of the stackpack
#### `404`

The Elastic Stack version can't be found. (code: `stackpack.missing_platform_version`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /stack/versions/{version}
```

#### curl

```curl
curl -X PUT "/stack/versions/{version}"
```

